Name:           libreatlas
Version:        1.0.0a
Release:        16%{?dist}
Summary:        A digital atlas and geography education tool

# Upstream emailed regarding explicitly stating license in headers
License:        GPLv3+
URL:            https://www.gaia-gis.it/fossil/libreatlas
Source0:        http://www.gaia-gis.it/gaia-sins/%{name}-%{version}.tar.gz
Source1:        README
# geos_c header not added to linker variable
# Upstream emailed regarding linker problem
Patch0:         %{name}-1.0.0a-geos_c_linker.patch

BuildRequires:  desktop-file-utils
BuildRequires:  freexl-devel
BuildRequires:  libspatialite-devel
BuildRequires:  wxGTK-devel
BuildRequires:  sqlite-devel
BuildRequires:  geos-devel
BuildRequires:  proj-devel
BuildRequires:  libgeotiff-devel
BuildRequires:  libjpeg-devel
BuildRequires:  librasterlite-devel

%description
LibreAtlas is an open source Geography Education application built on top of
SpatiaLite and RasterLite. It uses LibreAtlas databases which are a digital
alternative to paper atlases.


%prep
%setup -q
%patch0 -p1
# first line of this .desktop file appears to be for debian(?) compatibility,
# causes rpmlint to complain
sed -i '1d' gnome_resource/LibreAtlas.desktop
install -pm 0644 %{SOURCE1} .


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
desktop-file-install                                    \
 --dir=$RPM_BUILD_ROOT%{_datadir}/applications/         \
 gnome_resource/LibreAtlas.desktop
install -pm 0644 -D                                     \
 gnome_resource/LibreAtlas.png                          \
 $RPM_BUILD_ROOT%{_datadir}/pixmaps/LibreAtlas.png

# Register as an application to be visible in the software center
#
# NOTE: It would be *awesome* if this file was maintained by the upstream
# project, translated and installed into the right place during `make install`.
#
# See http://www.freedesktop.org/software/appstream/docs/ for more details.
#
mkdir -p $RPM_BUILD_ROOT%{_datadir}/appdata
cat > $RPM_BUILD_ROOT%{_datadir}/appdata/LibreAtlas.appdata.xml <<EOF
<?xml version="1.0" encoding="UTF-8"?>
<!--
BugReportURL: https://groups.google.com/d/msg/spatialite-users/TgAkmyA-Qz0/9v8IFguKVLwJ
SentUpstream: 2014-09-23
-->
<application>
  <id type="desktop">LibreAtlas.desktop</id>
  <metadata_license>CC0-1.0</metadata_license>
  <summary>Digital Atlas</summary>
  <description>
    <p>
      LibreAtlas is an open source geography application for viewing and browsing digital atlases.
      LibreAtlas opens digital atlases in the libreatlas database format.
      The upstream LibreAtlas homepage has a list of compatible atlases available for download.
    </p>
  </description>
  <url type="homepage">https://www.gaia-gis.it/fossil/libreatlas/home</url>
  <screenshots>
    <screenshot type="default">http://www.gaia-gis.it/gaia-sins/LibreAtlas-sample.png</screenshot>
  </screenshots>
  <!-- FIXME: change this to an upstream email address for spec updates
  <updatecontact>someone_who_cares@upstream_project.org</updatecontact>
   -->
</application>
EOF

%files
%doc COPYING AUTHORS README
%{_bindir}/LibreAtlas
%{_datadir}/appdata/*.appdata.xml
%{_datadir}/applications/LibreAtlas.desktop
%{_datadir}/pixmaps/LibreAtlas.png


%changelog
* Wed Feb 10 2016 Volker Froehlich <volker27@gmx.at> - 1.0.0a-16
- Link to sqlite

* Wed Feb 10 2016 Volker Froehlich <volker27@gmx.at> - 1.0.0a-15
- Rebuilt, due to issues librasterlite linking

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0a-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0a-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.0a-12
- Rebuilt for GCC 5 C++11 ABI change

* Thu Mar 26 2015 Richard Hughes <rhughes@redhat.com> - 1.0.0a-11
- Add an AppData file for the software center

* Wed Mar 11 2015 Devrim Gündüz <devrim@gunduz.org> - 1.0.0a-10
- Rebuild for Proj 4.9.1

* Mon Aug 25 2014 Devrim Gündüz <devrim@gunduz.org> - 1.0.0a-9
- Rebuilt for libgeotiff

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0a-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Fri Jul 25 2014 Peter Robinson <pbrobinson@fedoraproject.org> 1.0.0a-7
 rebuild (libspatialite)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0a-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.0a-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed May 29 2013 Volker Fröhlich <volker27@gmx.at> - 1.0.0a-4
- Rebuild for librasterlite 1.1g

* Sun Apr 21 2013 Micah Roth <micah.roth_ucla.edu> - 1.0.0a-3
- cleaned up comments
- ---formal review rdieter--
- added explanation for removing first line of original .desktop file

* Wed Apr 17 2013 Micah Roth <micah.roth_ucla.edu> - 1.0.0a-2
- added README to Source1 to correct zero-length README file error from rpmlint
- changed $make_install to make install DESTDIR=$RPM_BUILD_ROOT

* Thu Apr 11 2013 Micah Roth <micah.roth ][at][ ucla.edu> - 1.0.0a-1
- create specfile
- Add a patch to fix compilation problem
- created README file indicating where to download atlas data
